/***********************************************************************************
* T-SQL: Simple Changes That Go a Long Way
* Dave Valentine
* INTO Clause Demo SQL Script
***********************************************************************************/

USE AdventureWorks2012;
GO

--SET STATISTICS IO ON so we can see disk activity
SET STATISTICS IO ON;
GO



/***********************************************************************************
* Create Production.BackupTransactionHistory using the INTO statement.  
***********************************************************************************/
-- Remove Production.BackupTransactionHistory if exists
IF OBJECT_ID('Production.BackupTransactionHistory') IS NOT NULL 
   DROP TABLE Production.BackupTransactionHistory;
GO


SELECT   TransactionID
       , ProductID
       , ReferenceOrderID
       , ReferenceOrderLineID
       , TransactionDate
       , TransactionType
       , Quantity
       , ActualCost
       , ModifiedDate
INTO     Production.BackupTransactionHistory
FROM     Production.TransactionHistory; 
GO

/***********************************************************************************
* Refresh Tables in Management Studio, you will notice that the constraints 
  are missing, however the identity remains.  
***********************************************************************************/
